## cachelib 0.13.0

=== requirements.txt ===
# To ensure app dependencies are ported from your virtual environment/host machine into your container, run 'pip freeze > requirements.txt' in the terminal to overwrite this file

## cachelib 0.4.1

=== debian/changelog ===
cachelib (0.4.1-2) unstable; urgency=medium

  * source-only upload to enable testing migration
  * [1d454c1] disable crossbuild in salsa-ci
  * [f4caf4a] drop superficial autopkgtest-pkg-python; we have the
    upstream testsuite run instead
  * [4d3a5b8] autotestpkg needs python3-all

 -- Joseph Nahmias <jello@debian.org>  Mon, 06 Dec 2021 09:53:40 -0500

cachelib (0.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #998034).
  * [73bdf4d] run testsuite during build
  * [2a2f2e9] run upstream testsuite as autopkgtest
  * [d77ad53] install upstream changelog
  * [40187f4] explicitly (rather than transitively) B-D on sphinx
  * [1d0a160] fix doc-base section

 -- Joseph Nahmias <jello@debian.org>  Fri, 29 Oct 2021 14:54:44 -0400

=== debian/control ===
Source: cachelib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all,
 memcached <!nocheck>,
 python3-pylibmc <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-xprocess <!nocheck>,
 python3-redis <!nocheck>,
 redis-server <!nocheck>,
 python3-pallets-sphinx-themes <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinxcontrib-log-cabinet <!nodoc>,
 python3-sphinxcontrib.applehelp <!nodoc>,
 python3-sphinxcontrib.devhelp <!nodoc>,
 python3-sphinxcontrib.htmlhelp <!nodoc>,
 python3-sphinxcontrib.jsmath <!nodoc>,
 python3-sphinxcontrib.qthelp <!nodoc>,
 python3-sphinxcontrib.serializinghtml <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinx-tabs <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://github.com/pallets/cachelib/
Vcs-Browser: https://salsa.debian.org/python-team/packages/cachelib
Vcs-Git: https://salsa.debian.org/python-team/packages/cachelib.git
Rules-Requires-Root: no

Package: python3-cachelib
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-cachelib-doc
Description: collection of cache libraries using the same API (Python 3)
 This package provides a uniform API over a number of different caching
 backends including:
 .
  * Memory
  * File
  * Redis
  * Memcached
  * uWSGI
 .
 This package installs the library for Python 3.

Package: python-cachelib-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: collection of cache libraries using the same API (documentation)
 This package provides a uniform API over a number of different caching
 backends including:
 .
  * Memory
  * File
  * Redis
  * Memcached
  * uWSGI
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=cachelib
export PYBUILD_VERBOSE=1

%:
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	PYTHONPATH=./src python3 -m sphinx -N -bhtml docs/ build/html
endif

override_dh_auto_test:
	PYTHONPATH=./src dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_installdocs:
	dh_installdocs --package=python3-cachelib
	dh_installdocs --package=python-cachelib-doc --doc-main-package=python3-cachelib

## cachelib 0.9.0

=== debian/changelog ===
cachelib (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add d/gbp.conf to reflect the fact that this package uses debian/latest as
    debian-branch instead of master.
  * Mark python-cachelib-doc as Multi-Arch: foreign.
  * Update Standards-Version to 4.6.1, no change needed.

 -- Emanuele Rocca <ema@debian.org>  Thu, 15 Sep 2022 13:55:07 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-sphinxcontrib.serializinghtml <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sphinx-tabs <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/pallets/cachelib/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cachelib
 Vcs-Git: https://salsa.debian.org/python-team/packages/cachelib.git
@@ -49,6 +49,7 @@
 
 Package: python-cachelib-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: collection of cache libraries using the same API (documentation)

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-cachelib,
 memcached,
 python3-pylibmc,
 python3-pytest,
 python3-pytest-xprocess,
 python3-redis,
 redis-server,

## cachelib 0.13.0

=== debian/changelog ===
cachelib (0.13.0-2) unstable; urgency=medium

  * Don't run DynamoDB or MongoDB tests under autopkgtest.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Apr 2024 12:39:17 +0100

cachelib (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Apr 2024 10:51:46 +0100

cachelib (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.

  [ Andreas Hasenack ]
  * Stop memcached before the DEP8 test is run.
    The "upstream" DEP8 test spawns its own memcached process for the test,
    which conflicts with the system-wide one.
    - d/t/control: add needs-root restriction
    - d/t/upstream: stop the system memcached, and run the test as an
      unprivileged user as before (Closes: #1034128).
      Use --supported py3 versions.
      Fixes declare-python-versions-for-test lintian warning.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 18 Jun 2023 12:09:55 -0400

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
  dh-python,
  python3-setuptools,
  python3-all,
+ python3-boto3 <!nocheck>,
  memcached <!nocheck>,
  python3-pylibmc <!nocheck>,
+ python3-pymongo <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-xprocess <!nocheck>,
  python3-redis <!nocheck>,
@@ -25,7 +27,7 @@
  python3-sphinxcontrib.serializinghtml <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sphinx-tabs <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pallets/cachelib/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cachelib
 Vcs-Git: https://salsa.debian.org/python-team/packages/cachelib.git
@@ -44,6 +46,8 @@
   * Redis
   * Memcached
   * uWSGI
+  * DynamoDB
+  * MongoDB
  .
  This package installs the library for Python 3.
 
@@ -61,5 +65,7 @@
   * Redis
   * Memcached
   * uWSGI
+  * DynamoDB
+  * MongoDB
  .
  This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 export PYBUILD_NAME=cachelib
 export PYBUILD_VERBOSE=1
+# Don't run tests for backends whose servers aren't in Debian.
+export PYBUILD_TEST_ARGS=-k 'not test_dynamodb and not test_mongodb'
 
 %:
 ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cachelib-$1.tar.gz%" \
   https://github.com/pallets/cachelib/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
